##
##  ccfe.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         ccfe
Summary:      Curses Command Front-End
URL:          http://ccfe.altervista.org/
Vendor:       Massimo Loschi
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Terminal
License:      GPL
Version:      1.58
Release:      20160922

#   list of sources
Source0:      http://ccfe.altervista.org/dnload/dnload.php?fname=ccfe-%{version}.tar.gz
Patch0:       ccfe.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  perl, perl-curses
PreReq:       perl, perl-curses

%description
    CCFE is a simple tool to quickly supply an interactive
    screen-oriented interface to command line scripts and commands:
    it prompts users for the informations needed to run them, and can
    be programmed with your preferred shell to provide predefined
    selections and/or run-time defaults. It also provides a menu system
    to hierarchically organize them and a viewer to browse the standard
    output and standard error of invoked script/command.

%track
    prog ccfe = {
        version   = %{version}
        url       = http://ccfe.altervista.org/en/dnload.html
        regex     = ccfe-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build

%install
    export DESTDIR=$RPM_BUILD_ROOT
    sh install.sh -b \
        -p %{l_prefix} \
        -c %{l_prefix}/etc/ccfe \
        -m %{l_prefix}/lib/ccfe/msg
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/doc
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/ccfe/*'

%files -f files

%clean

